Xbit
  1. Withdraw
Xbit
  • Welcome
  • Account Data
    • Get account balances
      POST
    • Get activation code history
      POST
    • Activate a redeemable code
      POST
    • Get activation code details
      POST
    • Get card withdrawal history
      POST
    • Get cryptocurrency withdrawal history
      POST
    • Get deposit (payment) history
      POST
  • Payment
    • Calculate payment amount with commission
      POST
    • Create a new payment
      POST
    • Get payment details by payment ID
      POST
  • Withdraw
    • Get minimum cryptocurrency withdrawal amounts
      POST
    • Calculate cryptocurrency withdrawal amounts
      POST
    • Calculate fiat withdrawal commission
      POST
    • Get withdrawal details by ID
      POST
    • Create withdrawal to bank card
      POST
    • Create withdrawal as redeemable code
      POST
    • Create withdrawal to cryptocurrency wallet
      POST
  • Schemas
    • GeneralApiRequestDto
    • BalanceItemDto
    • AccountBalancesResponseDto
    • ApiCodesFilterDto
    • ApiGetCodeHistoryRequestDto
    • ApiGetCodeHistoryResponseDto
    • CodeActivationRequestDto
    • CodeDetailsRequestDto
    • CodeDetailsResponseDto
    • ApiWithdrawToCardFilterDto
    • ApiGetWithdrawToCardRequestDto
    • ApiGetWithdrawToCardResponseDto
    • ApiWithdrawToCryptoFilterDto
    • ApiGetWithdrawToCryptoRequestDto
    • ApiGetWithdrawToCryptoResponseDto
    • ApiDepositFilterDto
    • ApiGetDepositHistoryRequestDto
    • ApiGetDepositHistoryResponseDto
    • CalculatePaymentRequestDto
    • CalculatePaymentResponseDto
    • CreatePaymentRequestDto
    • CreatePaymentResponseDto
    • GetPaymentDetailsRequestDto
    • GetPaymentDetailsResponseDto
    • ApiMinCryptoAmountsRequestDto
    • ApiMinCryptoAmountsResponseDto
    • ApiCalculateCryptoRequestDto
    • ApiCalculateCryptoResponseDto
    • ApiCalculateFiatRequestDto
    • ApiCalculateFiatResponseDto
    • ApiGetWithdrawDetailsRequestDto
    • ApiGetWithdrawDetailsResponseDto
    • ApiCreateCardWithdrawRequestDto
    • WithdrawIdDto
    • ApiCreateCodeWithdrawRequestDto
    • ApiCreateCryptoWithdrawRequestDto
  1. Withdraw

Create withdrawal as redeemable code

POST
https://newsupport.xbit.pro/api/v1/withdraw/code
Withdraw
Create a withdrawal as a redeemable code that can be activated later. The code can be used to add funds to another account or shared with another user. After successful creation, a webhook notification will be sent to your configured webhook URL when the withdrawal is processed.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Returns withdrawal ID
Body

🟠400
🟠401
🟠403
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://newsupport.xbit.pro/api/v1/withdraw/code' \
--header 'x-txc-payload;' \
--header 'x-txc-signature;' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nonce": 1707484035123,
    "amountInCents": 100000,
    "currencyId": "UAH"
}'
Response Response Example
200 - Example 1
{
    "id": 1,
    "isConfirmRequired": true
}
Previous
Create withdrawal to bank card
Next
Create withdrawal to cryptocurrency wallet
Built with